LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
SearchResult Struct Referencepublished

`import"SearchResult.idl";`

## Public Attributes
long | subRegExpressions
| Number of subexpressions. More...
sequence< long > | startOffset
sequence< long > | endOffset

## Member Data Documentation

sequence<long> endOffset

sequence<long> startOffset

long subRegExpressions

Number of subexpressions.

If it is 0, then no match found; this value is 1 for ABSOLUTE and APPROXIMATE match. The start and endOffset are always dependent on the search direction.

For example, if you search "X" in the text "-X-" the offsets are:

    for forward:    start = 1, end = 2

    for backward:   start = 2, end = 1

Forward, the startOffset is inclusive, the endOffset exclusive. Backward, the startOffset is exclusive, the endOffset inclusive.

For regular expressions it can be greater than 1. If the value is 1, startoffset[0] and endoffset[0] points to the matching sub string if value is > 1, still startoffset[0] and endoffset[0] points to the matching substring for whole regular expression startoffset[i] and endoffset[i] points to the matching substring of i th matching substring.

The documentation for this struct was generated from the following file:

- com/sun/star/util/SearchResult.idl